*Repair inconsistencies, where the earlier algorithms have assigned one LEA to
*different town codes in different years.  Much of this seems to arise when rural
*districts have mailing addresses in adjacent towns, and sometimes change their
*addresses over time.  I defer to the district name, when it matches a town very close
*to that where the mailing address is.  Beyond this, I tend to prefer later years
*to earlier, as the CCD seems to get less buggy over time, and to prefer two years
*of consistent information to one.  I also confirm many with zip code lookups.
*Many of the ambiguities are supervisory union/cooperative districts which span several
*towns.  When (rarely) one of these towns is metro and the other not, there is probably
*no "right" solution.;

#delimit;

*Miscoded initially;
 replace townfips=47360 if leaid=="0900002";
 replace cofips  =7     if leaid=="0900002";
*address changed.  Use 90/92;
 replace townfips=26620 if leaid=="0900910";
*LEA name;
 replace townfips=7170  if leaid=="2314210";
*LEA name;
 replace townfips=1885  if leaid=="2502010";
*zip, 90/92;
 replace townfips=77010 if leaid=="2502040";
*LEA name;
 replace townfips=11665 if leaid=="2503360";
*zip, 90/92;
 replace townfips=76380 if leaid=="2503630";
*LEA name;
 replace townfips=14010 if leaid=="2503720";
*Miscoded initially;
 replace townfips=56375 if leaid=="2504200";
*zip, 90/92;
 replace townfips=46225 if leaid=="2504920";
*zip, 90/92;
 replace townfips=76380 if leaid=="2505310";
*zip, 90/92;
 replace townfips=76380 if leaid=="2505740";
*LEA name;
 replace townfips=45175 if leaid=="2508550";
*LEA name;
 replace townfips=51580 if leaid=="2509240";
*LEA name;
 replace townfips=59245 if leaid=="2510410";
*90/92;
 replace townfips=46225 if leaid=="2510530";
*LEA name;
 replace townfips=62745 if leaid=="2510950";
*zip;
 replace townfips=58405 if leaid=="2511740";
*LEA name;
 replace townfips=74595 if leaid=="2512360";
*LEA name;
 replace townfips=76380 if leaid=="2512690";
*LEA name;
 replace townfips=79915 if leaid=="2512990";
*90/92;
 replace townfips=35540 if leaid=="3300003";
 replace cofips  =13    if leaid=="3300003";
*LEA name+zip;
 replace townfips=60020 if leaid=="3301380";
*LEA name;
 replace townfips=03460 if leaid=="3301650";
*LEA name;
 replace townfips=4500  if leaid=="3301740";
*LEA name;
 replace townfips=8100  if leaid=="3302070";
*LEA name;
 replace townfips=12420 if leaid=="3302310";
*LEA name;
 replace townfips=17460 if leaid=="3302580";
 replace cofips  =15    if leaid=="3302580";
*LEA name;
 replace townfips=24900 if leaid=="3302910";
*LEA name;
 replace townfips=32900 if leaid=="3303480";
*LEA name;
 replace townfips=36180 if leaid=="3303840";
*LEA name;
 replace townfips=38500 if leaid=="3304030";
 replace cofips  =5     if leaid=="3304030";
*LEA name;
 replace townfips=47700 if leaid=="3304770";
*LEA name;
 replace townfips=48660 if leaid=="3304860";
*LEA name;
 replace townfips=56820 if leaid=="3305430";
 replace cofips  =15    if leaid=="3305430";
*LEA name--need to change county as well;
 replace townfips=57460 if leaid=="3305460";
 replace cofips  =15    if leaid=="3305460";
*90/92;
 replace townfips=19700 if leaid=="3305520";
*LEA name;
 replace townfips=73860 if leaid=="3306420";
*90/92;
 replace townfips=62500 if leaid=="3306720";
*LEA name;
 replace townfips=78180 if leaid=="3306780";
 replace cofips  =3     if leaid=="3306780";
*LEA name--need to change county as well;
 replace townfips=85780 if leaid=="3307170";
 replace cofips  =15    if leaid=="3307170";
*Name of administrative union changes over time.  Use 1992;
 replace townfips=85780 if leaid=="3399928";
 replace cofips  =15    if leaid=="3399928";
*Name of administrative union changes over time.  Use 1992;
 replace townfips=8100  if leaid=="3399941";
*Name of administrative union changes over time.  Use 1992;
 replace townfips=73860 if leaid=="3399944";
*90/92;
 replace townfips=62500 if leaid=="3399955";
*90/92;
 replace townfips=19700 if leaid=="3399956";
*90/92;
 replace townfips=64300 if leaid=="5003030";
*LEA name;
 replace townfips=13300 if leaid=="5003090";
*LEA name;
 replace townfips=27100 if leaid=="5004110";
*LEA name;
 replace townfips=33025 if leaid=="5004650";
*88/90;
 replace townfips=71725 if leaid=="5005620";
*LEA name;
 replace townfips=64600 if leaid=="5007350";
*LEA name;
 replace townfips=61750 if leaid=="5007600";
*LEA name;
 replace townfips=71725 if leaid=="5007980";
*LEA name;
 replace townfips=84475 if leaid=="5009210";
*88/90, web;
 replace townfips=64300 if leaid=="5099914";
*LEA name;
 replace townfips=27100 if leaid=="5099921";

